/*

   代码高亮样式修正
   */
/* 代码文字 */
/*.hljs-subst, .hljs-title {
    font-weight: 400;
    color: #000 !important;
}

.hljs-class .hljs-title, .hljs-params, .hljs-title.class_ {
    color: #000 !important;
}*/
/*
代码背景色
*/
pre {
    padding: 10px;
    background-color: var(--pre_bg);
    border: var(--pre_border);
    border-radius: 3px;
    line-height: 19px;
}

.hljs-tag{background:rgba(255,255,255,0) !important;}


/**详情页样式*/

.lib-detail-forum {
    background-color: var(--main_bg);
    display: flex;
    margin-top: 60px;
}


/**   分类样式 */
.lib-detail-sidebar {
    position: fixed;
    left: 115px;
    width: 15.5rem;
    margin-bottom: 20px;
    background-color: var(--main_color_row);
}


.lib-detail-catalog-block .article-catalog {
    height: 100%;
}

.catalog-title[data-v-cb93f23a] {
    font-weight: 500;
    margin: 0px 0.667rem;
    font-size: 18px;
    line-height: 2rem;
    color: var(--main_color_p);
    border-bottom: 1px solid #e4e6eb;
    padding-top: 20px;
    padding-bottom: 15px;
}

.catalog-body[data-v-cb93f23a] {
    position: relative;
    max-height: 800px;
    margin: 8px 4px 0 0;
    overflow: auto;
    padding-bottom: 80px;
}

.catalog-block.isExpand[data-v-4a8226b0] .article-catalog .catalog-body {
    max-height: 612px;
}

.catalog-list[data-v-cb93f23a] {
    position: relative;
    line-height: 22px;
    padding: 0 0 12px;
}

.catalog-list[data-v-cb93f23a] .item.d1 {
    font-weight: 400;
    color: var(--main_color_p);
}

.catalog-list[data-v-cb93f23a] .item.d1:first-child>.a-container {
    margin-top: 0;
}

.catalog-list[data-v-cb93f23a] .catalog-aTag {
    color: inherit;
    display: inline-block;
    padding: 8px;
    width: 90%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

/* 标题 */
.lib-detail-title{
    margin-left: 266px;
    background-color: var(--main_color_row);
    border-left: 1px solid #e4e6eb;
    padding-top: 20px;
    border-radius: 5px 5px 0 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-bottom: 1px solid #e4e6eb;
    padding-bottom: 15px;
    line-height: 2rem;
}

.lib-detail-title h1{
    font-size: 26px;
    font-weight: bold;
    color:var(--main_color_p);

}
/* 正文默认样式 */
.ql-indent-1 {
    padding-left: 35px;
}
.ql-indent-2 {
    padding-left: 70px;
}
.ql-indent-3 {
    padding-left: 105px;
}
.ql-indent-4 {
    padding-left: 140px;
}
.ql-indent-5 {
    padding-left: 175px;
}
.ql-indent-6 {
    padding-left: 210px;
}
.lib-detail-content p{
    font-size: 1.05em;
    line-height: 1.8;
}

.lib-detail-content h1{
    font-size: 26px;
    margin: 0;
    margin-bottom: 10px;
    margin-top: 10px;
}

.lib-detail-content h2{
    font-size: 22px;
    margin: 0;
    margin-bottom: 10px;
    margin-top: 10px;
}

/** 内容区 */

.lib-detail-box {
    background-color: var(--main_color_row);
    margin-left: 100px;
    margin-right: 100px;
    width: 100%;
    min-height: 81vh;
    overflow: auto;
}

.lib-detail-content {
    margin-left: 266px;
    background-color: var(--main_color_row);
    border-left: 1px solid #e4e6eb;
    /* margin-right: 101px; */
    padding: 20px;
    color:var(--main_color_p);
}


.catalog-body::-webkit-scrollbar {
    /*滚动条整体样式*/
    width: 4px; /*高宽分别对应横竖滚动条的尺寸*/
    height: 1px;
}
.catalog-body::-webkit-scrollbar-thumb {
    /*滚动条里面小方块*/
    border-radius: 10px;
    /*box-shadow: inset 0 0 5px rgba(97, 184, 179, 0.1);*/
    box-shadow: inset 0 0 5px rgba(87, 175, 187, 0.1);
    /*background: #78b4b4;*/
    background: #ededed;
}
.catalog-body::-webkit-scrollbar-track {
    /*滚动条里面轨道*/
    /*box-shadow: inset 0 0 5px rgba(87, 175, 187, 0.1);*/
    box-shadow: inset 0 0 5px rgba(87, 175, 187, 0);
    border-radius: 10px;
    /*background: #ededed;*/
    background: rgba(255, 255, 255, 0);
}



